<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [
	<!ENTITY nbsp "&#160;">
	<!ENTITY copy "&#169;">
	<!ENTITY reg "&#174;">
	<!ENTITY trade "&#8482;">
	<!ENTITY mdash "&#8212;">
	<!ENTITY ldquo "&#8220;">
	<!ENTITY rdquo "&#8221;">
	<!ENTITY pound "&#163;">
	<!ENTITY yen "&#165;">
	<!ENTITY euro "&#8364;">
]>
<!-- Addenda de Cosbel :: By Daniel Herrera T. :: Version 3.1.0  basada en la plantilla de Loreal :: -->
<!-- Ultima modificacin :: DHT 04/12/2012. A solicitud de Jose Mireles se quita el atributo ProcesoId, menciona que para Frabel no aplica-->
<!-- Ultima modificacin :: DHT 29/04/2013. En if:Cuerpo atributo Partida se agrego un if para tomar el valor capturado por usuario o el consecutivo-->
<xsl:stylesheet version="1.0" xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:if='https://www.interfactura.com/Schemas/Documentos'>
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="if:FacturaInterfactura">
			<xsl:attribute name="TipoDocumento">
				<xsl:text>Factura</xsl:text>
			</xsl:attribute>
			<xsl:element name="if:Emisor">
				<xsl:attribute name="RI">
					<xsl:value-of select="Datos/Emisor/@Referencia"/>
				</xsl:attribute>
				<xsl:attribute name="NumProveedor">
					<xsl:value-of select="Datos/Emisor/@noProveedor"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="if:Receptor">
				<xsl:attribute name="RI">
					<xsl:value-of select="Datos/Receptor/@Referencia"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="if:Encabezado">
				<xsl:attribute name="Moneda">
					<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>EUR</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="FolioOrdenCompra">
					<xsl:value-of select="Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
				</xsl:attribute>
				<xsl:attribute name="FolioNotaRecepcion">
					<xsl:value-of select="Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio"/>
				</xsl:attribute>
				<xsl:attribute name="Fecha">
					<xsl:value-of select="Datos/CFD/@Fecha"/>
				</xsl:attribute>
				<xsl:attribute name="CondicionPago">
					<xsl:value-of select="Datos/Documento/@PlazoPago"/>
				</xsl:attribute>
				<xsl:variable name="porIVA" select="sum(Datos/Documento/Impuestos/Impuesto[@Tipo='IVA']/@Porcentaje)"/>
				<xsl:variable name="totIVA" select="sum(Datos/Documento/Impuestos/Impuesto[@Tipo='IVA']/@Importe)"/>
				<xsl:choose>
					<xsl:when test="$porIVA &gt; 0">
						<xsl:attribute name="IVAPCT">
							<xsl:value-of select="format-number($porIVA,&quot;0.00&quot;)"/>
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="IVAPCT"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:attribute name="NumProveedor">
					<xsl:value-of select="Datos/Emisor/@noProveedor"/>
				</xsl:attribute>
				<xsl:attribute name="CargoTipo">
					<xsl:value-of select="Datos/Documento/@Dato1"/>
				</xsl:attribute>
				<xsl:attribute name="SubTotal">
					<xsl:value-of select="format-number(Datos/Documento/@SubTotal,&quot;0.00&quot;)"/>
				</xsl:attribute>
				<xsl:if test="Datos/CFD/@Serie !=''">
					<xsl:attribute name="Serie">
						<xsl:value-of select="Datos/CFD/@Serie"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="Datos/CFD/@Folio !=''">
					<xsl:attribute name="Folio">
						<xsl:value-of select="Datos/CFD/@Folio"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="$totIVA &gt; 0">
						<xsl:attribute name="Iva">
							<xsl:value-of select="format-number($totIVA,&quot;0.00&quot;)"/>
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="Iva"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:attribute name="Total">
					<xsl:value-of select="format-number(Datos/Documento/@ImpTotal,&quot;0.00&quot;)"/>
				</xsl:attribute>
				<!--xsl:attribute name="ProcesoId">   
					<xsl:text>1</xsl:text>
				</xsl:attribute-->
				<xsl:if test="Datos/Documento/@Observaciones !=''">
					<xsl:attribute name="Observaciones">
						<xsl:value-of select="Datos/Documento/@Observaciones"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:for-each select="Datos/Documento/Partidas/Partida">
					<xsl:call-template name="Detalle_Partidas"/>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template name="Detalle_Partidas">
		<xsl:element name="if:Cuerpo">
			<xsl:attribute name="Partida">
				<xsl:choose>
					<xsl:when test="./XMLAddenda/Documento/NumeroPartida !=''">
						<xsl:value-of select="format-number(./XMLAddenda/Documento/NumeroPartida,'00000')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="format-number(position(),'00000')"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:if test="@CodigoBarras !=''">
				<xsl:attribute name="Codigo">
					<xsl:value-of select="@CodigoBarras"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:attribute name="Cantidad">
				<xsl:value-of select="format-number(@Cantidad,&quot;0.00&quot;)"/>
			</xsl:attribute>
			<xsl:attribute name="Concepto">
				<xsl:value-of select="substring(@Descripcion,1,40)"/>
			</xsl:attribute>
			<xsl:attribute name="PUnitario">
				<xsl:value-of select="format-number(@PrecioBruto,&quot;0.00&quot;)"/>
			</xsl:attribute>
			<xsl:attribute name="Importe">
				<xsl:value-of select="format-number(@ImpNeto,&quot;0.00&quot;)"/>
			</xsl:attribute>
			<xsl:attribute name="UnidadMedida">
				<xsl:value-of select="@UnidadMedida"/>
			</xsl:attribute>
			<xsl:variable name="v_ivaimp" select="Impuestos/Impuesto/@Importe"/>
			<xsl:variable name="v_ivapor" select="Impuestos/Impuesto/@Porcentaje"/>
			<xsl:attribute name="Iva">
				<xsl:choose>
					<xsl:when test="$v_ivaimp != ''">
						<xsl:value-of select="format-number($v_ivaimp,&quot;0.00&quot;)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>0.00</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="IVAPCT">
				<xsl:choose>
					<xsl:when test="$v_ivapor != ''">
						<xsl:value-of select="format-number($v_ivapor,&quot;0.00&quot;)"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>0.00</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
